For a complete page index, fetch https://docs.transak.com/llms.txt

# Get Order Status by Order ID

GET https://api.transak.com/partners/api/v2/business/orders/{orderId}

Retrieve the current status and details of a specific order.

Reference: https://docs.transak.com/api/transak-swaps-b2b/get-order-status-by-order-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: transak-swaps-b2b-api
  version: 1.0.0
paths:
  /partners/api/v2/business/orders/{orderId}:
    get:
      operationId: get-order-status-by-order-id
      summary: Get Order Status by Order ID
      description: Retrieve the current status and details of a specific order.
      tags:
        - ''
      parameters:
        - name: orderId
          in: path
          description: The Transak order ID
          required: true
          schema:
            type: string
            format: uuid
        - name: access-token
          in: header
          description: >-
            Your Partner Access Token. Please refer
            [here](/guides/how-to-create-partner-access-token) for a tutorial on
            generating your access token. 
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrderStatusByOrderIdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: https://api.transak.com
components:
  schemas:
    GetOrderStatusByOrderIdResponseMeta:
      type: object
      properties:
        orderId:
          type: string
      title: GetOrderStatusByOrderIdResponseMeta
    Order:
      type: object
      properties:
        orderId:
          type: string
        status:
          type: string
        inputToken:
          type: string
        inputChain:
          type: string
        inputAmount:
          type: string
        outputToken:
          type: string
        outputChain:
          type: string
        outputAmount:
          type: string
        depositTxHash:
          type: string
        depositTxNetwork:
          type: string
        outputTxHash:
          type: string
        depositWalletAddress:
          type: string
        receivingAddress:
          type: string
        integratorId:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        completedAt:
          type: string
      title: Order
    GetOrderStatusByOrderIdResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetOrderStatusByOrderIdResponseMeta'
        data:
          $ref: '#/components/schemas/Order'
      title: GetOrderStatusByOrderIdResponse
    BadRequestErrorResponseError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      title: BadRequestErrorResponseError
    BadRequestErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BadRequestErrorResponseError'
      title: BadRequestErrorResponse
    ErrorResponseError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      title: ErrorResponseError
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorResponseError'
      title: ErrorResponse

```

## SDK Code Examples

```python Success
import requests

url = "https://api.transak.com/partners/api/v2/business/orders/:orderId"

headers = {"access-token": ""}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.transak.com/partners/api/v2/business/orders/:orderId';
const options = {method: 'GET', headers: {'access-token': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.transak.com/partners/api/v2/business/orders/:orderId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("access-token", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.transak.com/partners/api/v2/business/orders/:orderId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["access-token"] = ''

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.transak.com/partners/api/v2/business/orders/:orderId")
  .header("access-token", "")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.transak.com/partners/api/v2/business/orders/:orderId', [
  'headers' => [
    'access-token' => '',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.transak.com/partners/api/v2/business/orders/:orderId");
var request = new RestRequest(Method.GET);
request.AddHeader("access-token", "");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["access-token": ""]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.transak.com/partners/api/v2/business/orders/:orderId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```